# UFL legacy - Unified Form Language

This is an archive of a legacy version of UFL that is the final version that can
be used with legacy FEniCS. It can be installed with:

```bash
pip install fenics-ufl-legacy
```

The Unified Form Language (UFL) is a domain specific language for
declaration of finite element discretizations of variational forms. More
precisely, it defines a flexible interface for choosing finite element
spaces and defining expressions for weak forms in a notation close to
mathematical notation.

UFL is part of the FEniCS Project. For more information, visit
https://www.fenicsproject.org

## Documentation
Documentation can be viewed at https://fenics-ufl.readthedocs.org/.

## License
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
